Package net.shibboleth.idp.admin

# Class BasicAdministrativeFlowDescriptor.Logo

java.lang.Object
net.shibboleth.shared.collection.Pair<String,String>
net.shibboleth.shared.primitive.LangBearingString
net.shibboleth.idp.admin.BasicAdministrativeFlowDescriptor.Logo

Enclosing class:
  BasicAdministrativeFlowDescriptor

public static class BasicAdministrativeFlowDescriptor.Logo extends LangBearingString
A wrapper class to construct logo objects for exposure by `UIInfo` interface.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final int`
`height`
Logo height.
`private final int`
`width`
Logo width.

## Constructor Summary

Constructors
Constructor
Description
`Logo(String url, String lang, int h, int w)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`int`
`getHeight()`
Get logo height in pixels.
`int`
`getWidth()`
Get logo width in pixels.

### Methods inherited from class net.shibboleth.shared.primitive.LangBearingString

`getLang, getValue, setSecond, toString`

### Methods inherited from class net.shibboleth.shared.collection.Pair

`equals, getFirst, getSecond, hashCode, setFirst`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### height

private final int height
Logo height.

### width

private final int width
Logo width.

## Constructor Details

### Logo

public Logo(@Nullable String url, @Nullable @NotEmpty String lang, @Positive int h, @Positive int w)
Constructor.

Parameters:
  `url` - logo URL
  `lang` - language
  `h` - logo height in pixels
  `w` - logo width in pixels

## Method Details

### getHeight

public int getHeight()
Get logo height in pixels.

Returns:
  height

### getWidth

public int getWidth()
Get logo width in pixels.

Returns:
  width